package com.pcloud.book.custom.mapper;

import com.pcloud.book.custom.entity.CustomPlan;
import com.pcloud.book.custom.entity.CustomRightsSettingItem;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface CustomRightsSettingItemMapper {
    int deleteByPrimaryKey(Long id);

    int insert(CustomRightsSettingItem record);

    int insertSelective(CustomRightsSettingItem record);

    CustomRightsSettingItem selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(CustomRightsSettingItem record);

    int updateByPrimaryKey(CustomRightsSettingItem record);

    void deleteByPlanId(Integer planId);
}